<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.agent.mapper.AgentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="agentResultMap" type="org.springblade.ldt.agent.entity.Agent">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_time" property="createTime"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="level" property="level"/>
        <result column="league" property="league"/>
        <result column="system_divide" property="systemDivide"/>
        <result column="maintain_divide" property="maintainDivide"/>
        <result column="payment_fee_divide" property="paymentFeeDivide"/>
        <result column="platform_fee_divide" property="platformFeeDivide"/>
        <result column="finance_fee_divide" property="financeFeeDivide"/>
        <result column="activities_divide" property="activitiesDivide"/>
        <result column="points_exchange_rate" property="pointsExchangeRate"/>
        <result column="return_rate" property="returnRate"/>
        <result column="kpi" property="kpi"/>
    </resultMap>


    <select id="selectAgentPage" resultMap="agentResultMap">
        select * from ldt_agent where is_deleted = 0
    </select>

</mapper>
